Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/09/2021 in all areas

  1. I have noticed a few insert dynamic block and set the dynamic parameters and how to choose a Visibilty state as part of a lisp program rather than 2 steps, insert block and then update the visibility parameter by picking the new block. This allows you to read the visibilty states and display them in a dcl. It will dynamically match the number of states to around 20 max. It is screen dependent. You must down load the Edit dynamic block functions from Lee-mac.com I have them in a saved lisp file so load on demand or you can put in your code the correct functions. http://www.lee-mac.com/dynamicblockfunctions.html (if (not LM:getvisibilityparametername)(Load "lee-mac dynamic block functions")) Multi radio buttons is at Cadtutor\downloads. ; insert a dynamic block bname at a point X Y scale 1 rotation 0 with 1 attribute also being supplied ;add or remove attribute values (command "-Insert" bname point 1 1 0 "" val0) ; get block object for further processing (setq blk (vlax-ename->vla-object (entlast))) ; use lee-mac dynamic block functions to set the width and height (LM:setdynpropvalue blk "Width" wid) (LM:setdynpropvalue blk "Height" ht ) ; get the visibilty parameter names (setq visval (LM:getvisibilityparametername blk )) ; make a list of the allowed values (setq winlst (LM:getdynpropallowedvalues blk visval)) ; add "please choose" to start of list (setq winlst (cons "Please Choose" winlst)) ; load Multi Radio buttons.lsp a library dcl routine for any code (if (not AH:Butts)(load "Multi Radio buttons.lsp")) ; set defualt button to pick note can be amended so = last button picked (if (not AHbut)(setq AHbut 1)) ; run the multi radio buttons and choose a visibilty (setq ans (ah:butts2 1 "v" winlst)) ; set the visibility state (LM:SetVisibilityState blk ans)
    1 point
  2. doubt lisp file can cause this but easy enough to check , disable / remove all from autoload and then turn back on one by one. My first thought would be graphics driver. Maybe this article can help you : https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/Cursor-is-slow-or-jerky-in-AutoCAD.html
    1 point
  3. They'll have to pry my Dell U3818DW out of my cold dead hands! https://www.amazon.com/Dell-Screen-LED-Lit-Monitor-U3818DW/dp/B073FHWTPL
    1 point
  4. When operating on objects nested within block definitions in addition to primary objects, it typically becomes easier to iterate over the ActiveX Block Collection, e.g.: (defun c:fixlay ( / doc lay lst ltp lyr ) (setq lst '( "DASHED" "CENTER" "PHANTOM" ) ) (setq doc (vla-get-activedocument (vlax-get-acad-object)) lyr (vla-get-layers doc) ) (vlax-for blk (vla-get-blocks doc) (if (= :vlax-false (vla-get-isxref blk)) (vlax-for obj blk (if (and (member (setq ltp (strcase (vla-get-linetype obj))) lst) (vlax-write-enabled-p obj) (or (member ltp lay) (and (vla-add lyr ltp) (setq lay (cons ltp lay)) ) ) ) (progn (vla-put-linetype obj "bylayer") (vla-put-linetypescale obj 0.2) (vla-put-layer obj ltp) ) ) ) ) ) (princ) ) (vl-load-com) (princ)
    1 point
  5. Yeah, that is kind of like saying "can you tell me what a good car is?" What is your budget? Where are you located? What is the minimum size you want? Lots of variables. FWIW - most all of our CAD users have (2)-27" HP monitors, around US$500 for both
    1 point
×
×
  • Create New...